Page MenuHomePhabricator

Wikibase LanguageFallbackChainFactoryTest makes assumptions on MediaWiki's language fallback chains
Closed, ResolvedPublic

Description

Hello. Jenkins-bot complains in this change (console output). I don't know where to fix this so the uploaded patch works. Thanks.

When setting the fallback language for lzh to zh-hant, the following Wikibase test breaks:

19:08:45 There was 1 failure:
19:08:45 
19:08:45 1) Wikibase\Test\LanguageFallbackChainFactoryTest::testBuildFromBabel with data set #4 (array(array('zh-classical')), array('lzh', 'en'))
19:08:45 Failed asserting that 11 matches expected 2.
19:08:45 
19:08:45 mediawiki-extensions-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/tests/phpunit/LanguageFallbackChainFactoryTest.php:28
19:08:45 mediawiki-extensions-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/tests/phpunit/LanguageFallbackChainFactoryTest.php:246
19:08:45 mediawiki-extensions-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137

Event Timeline

MarcoAurelio claimed this task.
MarcoAurelio raised the priority of this task from to Normal.
MarcoAurelio updated the task description. (Show Details)
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 14 2016, 11:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 270652 had a related patch set uploaded (by MarcoAurelio):
Don't fallback lzh to en, but to zh-hant

https://gerrit.wikimedia.org/r/270652

MarcoAurelio removed MarcoAurelio as the assignee of this task.Feb 14 2016, 11:15 PM
MarcoAurelio added a subscriber: MarcoAurelio.

Patch submitted don't seem to be the solution for this.

Change 270652 abandoned by MarcoAurelio:
Don't fallback lzh to en, but to zh-hant

https://gerrit.wikimedia.org/r/270652

MarcoAurelio renamed this task from LanguageFallbackChainFactory::FALLBACK_SELF for lzh -> zh-hant to Jenkins complains when setting fallback configuration of lzh to zh-hant.Feb 15 2016, 2:51 PM
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio set Security to None.

Reworded the entire task. Not sure where to have this fixed.

hashar renamed this task from Jenkins complains when setting fallback configuration of lzh to zh-hant to Wikibase test break when setting fallback configuration of lzh to zh-hant.Feb 16 2016, 8:47 AM
hashar updated the task description. (Show Details)
hashar edited projects, added Wikidata; removed Continuous-Integration-Config, Jenkins.
hashar added a subscriber: hashar.

The patch is for T125373: Language fallback for Lzh (Zh-classical) should be Zh_hant.

I removed Jenkins and Continuous-Integration-Config. The problem seems to be in the Wikibase extension or some other i18n related class.

hashar removed a subscriber: hashar.Feb 16 2016, 8:49 AM

@hoo @aude - Do you know how to this this? Best regards.

hoo added a comment.Feb 22 2016, 4:04 PM

@hoo @aude - Do you know how to this this? Best regards.

I'll adopt the Wikibase test to this.

Change 272485 had a related patch set uploaded (by Hoo man):
Fix LanguageFallbackChainFactoryTest for lzh -> zh-hant fallback

https://gerrit.wikimedia.org/r/272485

hoo claimed this task.Feb 22 2016, 4:17 PM

Change 272485 abandoned by Hoo man:
Fix LanguageFallbackChainFactoryTest for lzh -> zh-hant fallback

Reason:
Per Jan: This test should probably be refactored.

https://gerrit.wikimedia.org/r/272485

hoo renamed this task from Wikibase test break when setting fallback configuration of lzh to zh-hant to Wikibase LanguageFallbackChainFactoryTest makes assumptions on MediaWiki's language fallback chains.Feb 22 2016, 5:35 PM
hoo removed hoo as the assignee of this task.

Is this still blocking someone at the moment?

MarcoAurelio added a comment.EditedApr 11 2016, 1:53 PM

Is this still blocking someone at the moment?

Yes, it's blocking a patch of mine. I was tired of waiting so I abandoned it, but if you plan to fix this I can restore the gerrit change and wait until this is fixed. See https://gerrit.wikimedia.org/r/272499

21:38:04 There was 1 failure:
21:38:04 
21:38:04 1) Wikibase\Test\LanguageFallbackChainFactoryTest::testBuildFromBabel with data set #4 (array(array('zh-classical')), array('lzh', 'en'))
21:38:04 Failed asserting that 11 matches expected 2.

@Tobi_WMDE_SW Any updates here? This is blocking a site request of a project for some time now.

@aude Can some resource be assigned to fix this task?

Thank you.

Hi, any progress here? I've tried to bypass the test via a hack that @siebrand proposed to me but without success. Regards.

Change 305397 had a related patch set uploaded (by Hoo man):
Hard-code language fallback chains in LanguageFallbackChainFactoryTest

https://gerrit.wikimedia.org/r/305397

hoo claimed this task.Aug 17 2016, 9:27 PM

Change 305436 had a related patch set (by MarcoAurelio) published:
Fully restrict uploads on ms.wikipedia

https://gerrit.wikimedia.org/r/305436

Well, the above message by gerritbot is obviously unrelated to this.

Change 305397 merged by jenkins-bot:
Hard-code language fallback chains in LanguageFallbackChainFactoryTest

https://gerrit.wikimedia.org/r/305397

hoo closed this task as Resolved.Aug 24 2016, 3:43 PM
hoo removed a project: Patch-For-Review.